from crtl.lkb.lkb import Concept


class Candidate:
    """
    Candidate

    The Candidate class represents a potential candidate link to an entity

    ---------
    PARAMS:

    entity: EntityType
        The type of entity that is linked
    score: float
        The confidence score of the link
    """

    def __init__(self, entity: Concept, score: float):
        self.entity: Concept = entity
        self.score: float = score

    def __str__(self) -> str:
        return f"{{entity: {self.entity}, score: {self.score}}}"
