from typing import List


class EmbeddingUtils:
    @staticmethod
    def average_embeddings(embeddings: List[List[float]]) -> List[float]:
        """
        average_embeddings

        Returns the mean for a list of embeddings

        -------
        PARAMS:

        embeddings: List[List[float]]
            The list of embeddings
        """

        avged_embedding: List[float] = []
        for i in range(0, len(embeddings[0])):
            sum = 0
            for embedding in embeddings:
                sum += embedding[i]
            avged_embedding.append(sum / len(embeddings[0]))

        return avged_embedding
